<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.140
Name: Patient Referral Act
Description: This template represents the type of referral (e.g., for dental care, to a specialist, for aging problems) and represents whether the referral is for full care or shared care. It may contain a reference to another act in the document instance representing the clinical reason for the referral (e.g., problem, concern, procedure).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000">
   <title>Patient Referral Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']"
         id="tmp-r-80b32fa2-9cbd-4d8c-8b08-84f38a44d0ae">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@classCode)=('PCPR')">CONF:1098-30884: de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@moodCode">CONF:1098-30885: attribute @moodCode MOET aanwezig zijn.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.11.20.9.66-2014-09-01T000000.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">CONF:1098-30885: de waarde van moodCode MOET worden gekozen uit waardelijst '2.16.840.1.113883.11.20.9.66' Patient Referral Act moodCode (2014-09-01T00:00:00).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140']/@nullFlavor)">(PatientReferralAct): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&lt;=1">(PatientReferralAct): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1 and not(cda:id/@nullFlavor)">(PatientReferralAct): element cda:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(PatientReferralAct): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(PatientReferralAct): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='active'])&gt;=1 and not(cda:statusCode[@code='active']/@nullFlavor)">(PatientReferralAct): element cda:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='active'])&lt;=1">(PatientReferralAct): element cda:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&gt;=1 and not(cda:effectiveTime/@nullFlavor)">(PatientReferralAct): element cda:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(PatientReferralAct): element cda:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:priorityCode)&lt;=1">(PatientReferralAct): element cda:priorityCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140']
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.140']"
         id="tmp-r-06bccdef-6381-4a0f-9842-239ea2df3c09">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.140')">CONF:1098-30887: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.140' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:id
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-c1fff855-a0db-488b-94e0-3b9bae2444e2">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:statusCode[@code='active']
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:statusCode[@code='active']"
         id="tmp-r-0896bfc4-e633-41d7-a74d-dd9e21af846a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or (@code='active')">(PatientReferralAct): de elementwaarde MOET een zijn van 'code 'active''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:effectiveTime
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:priorityCode
Item: (PatientReferralAct)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']/@nullFlavor)">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&lt;=1">(AuthorParticipation): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time)&gt;=1 and not(cda:time/@nullFlavor)">(AuthorParticipation): element cda:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:time)&lt;=1">(AuthorParticipation): element cda:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor)&gt;=1 and not(cda:assignedAuthor/@nullFlavor)">(AuthorParticipation): element cda:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedAuthor)&lt;=1">(AuthorParticipation): element cda:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.119']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.119')">CONF:1098-32018: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.119' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:time
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1 and not(cda:id/@nullFlavor)">(AuthorParticipation): element cda:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:code)&lt;=1">(AuthorParticipation): element cda:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:assignedPerson)&lt;=1">(AuthorParticipation): element cda:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="count(cda:representedOrganization)&lt;=1">(AuthorParticipation): element cda:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:id
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:code
Item: (AuthorParticipation)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:code">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorParticipation): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.119-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AuthorParticipation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:assignedPerson
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:assignedPerson/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:id
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:name
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:telecom
Item: (AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:author[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.119']/cda:assignedAuthor/cda:representedOrganization/cda:addr
Item: (AuthorParticipation)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant"
         id="tmp-r-0d9c3952-b554-4774-976d-bcc6cbde1686">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@typeCode)=('REFT')">CONF:1098-32638: de waarde van @typeCode MOET 'REFT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:participantRole)&gt;=1 and not(cda:participantRole/@nullFlavor)">(PatientReferralAct): element cda:participantRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:participantRole)&lt;=1">(PatientReferralAct): element cda:participantRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole"
         id="tmp-r-2a74f4ef-ec62-4c75-914e-b4f0688498b3">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code)&lt;=1">(PatientReferralAct): element cda:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole/cda:code
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:participant/cda:participantRole/cda:code"
         id="tmp-r-be5a3095-96ac-4726-8870-6709d82355de">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship"
         id="tmp-r-8ed0e309-4932-4e21-9be3-325adae25fe9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@typeCode)=('SUBJ')">CONF:1098-31613: de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:observation)&gt;=1 and not(cda:observation/@nullFlavor)">(PatientReferralAct): element cda:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:observation)&lt;=1">(PatientReferralAct): element cda:observation komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation"
         id="tmp-r-25d8eb59-9266-424f-b421-99f93f502468">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@classCode)=('OBS')">CONF:1098-31606: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@moodCode)=('RQO')">CONF:1098-31607: de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(PatientReferralAct): element cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(PatientReferralAct): element cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(PatientReferralAct): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(PatientReferralAct): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:priorityCode)&lt;=1">(PatientReferralAct): element cda:priorityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:value)&gt;=1 and not(cda:value/@nullFlavor)">(PatientReferralAct): element cda:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="count(cda:value)&lt;=1">(PatientReferralAct): element cda:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-9647e12d-06be-454f-978a-7a2437583e24">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(PatientReferralAct): de elementwaarde MOET een zijn van 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:statusCode[@code='completed']
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:statusCode[@code='completed']"
         id="tmp-r-fae89cbc-dc61-49b4-9dfd-1dca63bb6fed">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(PatientReferralAct): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:priorityCode
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:priorityCode"
         id="tmp-r-b758bc66-dee6-4c8c-ae5b-ae6e3a613f27">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PatientReferralAct): de elementwaarde MOET een zijn van '2.16.840.1.113883.1.11.16866 Act Priority (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.1.11.16866 Act Priority (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:value
Item: (PatientReferralAct)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship/cda:observation/cda:value"
         id="tmp-r-62741596-f2b4-4ff2-905e-fdc03465c30f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (PatientReferralAct)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.19']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.140-2015-08-13T000000.html"
              test="string(@typeCode)=('RSON')">CONF:1098-31636: de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>
</pattern>
