<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.6
Name: Problem Status
Description: The Problem Status records whether the indicated problem is active, inactive, or resolved.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000">
   <title>Problem Status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]
Item: (ProblemStatus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']"
         id="tmp-r-9b195367-bdae-47fb-8f4b-45b83c1be869">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-7357: de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-7358: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']/@nullFlavor)">(ProblemStatus): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'])&lt;=1">(ProblemStatus): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ProblemStatus): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ProblemStatus): element cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:text)&lt;=1">(ProblemStatus): element cda:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(ProblemStatus): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(ProblemStatus): element cda:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ProblemStatus): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ProblemStatus): element cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.6']"
         id="tmp-r-da9a3378-fd43-4165-85a3-73da10c9ac54">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.6')">conf-10518: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:code[(@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-271a3298-1eb8-4f6c-8141-97e74d108f2e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or (@code='33999-4' and @codeSystem='2.16.840.1.113883.6.1')">(ProblemStatus): de elementwaarde MOET een zijn van 'code '33999-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text"
         id="tmp-r-b7eb7eb4-8143-468e-901e-f4e3053e54e0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="count(cda:reference)&lt;=1">(ProblemStatus): element cda:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text/cda:reference
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:text/cda:reference"
         id="tmp-r-99d79922-6810-4753-b4f3-315e086bd6ca">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@value">conf-15594: attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="not(@value) or starts-with(@value, '#')">(ProblemStatus): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
      <assert role="error" test="not(@value) or starts-with(@value, '#')">(ProblemStatus): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed']
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:statusCode[@code='completed']"
         id="tmp-r-cd9a8e76-ff35-4024-b4b4-ed90cf266fdf">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(ProblemStatus): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.6
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ProblemStatus)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.6']/cda:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-1b02e3f8-0600-4e11-bca7-a2e922e77631">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemStatus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ProblemStatus): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.88.12.80.68-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.6-2013-01-31T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ProblemStatus): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.3.88.12.80.68 Problem Status (DYNAMISCH).</assert>
   </rule>
</pattern>
