<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.80
Name: Encounter Diagnosis
Description: This template wraps relevant problems or diagnoses at the close of a visit or that need to be followed after the visit. If the encounter is associated with a Hospital Discharge, the Hospital Discharge Diagnosis must be used. This entry requires at least one Problem Observation entry.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000">
   <title>Encounter Diagnosis</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]
Item: (EncounterDiagnosis)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']
Item: (EncounterDiagnosis)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']"
         id="tmp-r-6e6c9aa0-f54f-4b02-9db5-f3277c28eead">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="string(@classCode)=('ACT')">conf-14889: de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-14890: de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80']/@nullFlavor)">(EncounterDiagnosis): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'])&lt;=1">(EncounterDiagnosis): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="count(cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EncounterDiagnosis): element cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="count(cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EncounterDiagnosis): element cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="count(cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']])&gt;=1 and not(cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']]/@nullFlavor)">(EncounterDiagnosis): element cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80']
Item: (EncounterDiagnosis)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.80']"
         id="tmp-r-7ea85f6c-7af4-4d8e-8b81-04e2dd8e0fe5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.80')">conf-14896: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.80' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EncounterDiagnosis)
-->

   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:code[(@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-da9053aa-6561-457a-bbd1-867c92f2e107">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="@nullFlavor or (@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1')">(EncounterDiagnosis): de elementwaarde MOET een zijn van 'code '29308-4' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.80
Context: *[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']]
Item: (EncounterDiagnosis)
-->
   <rule context="*[cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']]/cda:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.80']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.4']]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.10.20.22.4.80-2013-01-31T000000.html"
              test="string(@typeCode)=('SUBJ')">conf-14893: de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
