<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Name: VZVZ Opvragen Alerts
Description: Opvragen Alerts 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000">
   <title>VZVZ Opvragen Alerts</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /
Item: (opvragenAlerts)
-->

   <rule context="/" id="tmp-r-6c206da8-0f4c-4216-9d8c-8c6efcdea74c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:REPC_IN990120NL)&gt;=1 ">(opvragenAlerts): element hl7:REPC_IN990120NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:REPC_IN990120NL)&lt;=1">(opvragenAlerts): element hl7:REPC_IN990120NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL"
         id="tmp-r-9294d89f-8254-4043-8e10-a727f0446895">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']])&gt;=1 and not(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/@nullFlavor)">(opvragenAlerts): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']])&lt;=1">(opvragenAlerts): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:REPC_IN990120NL/hl7:attentionLine
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:attentionLine"
         id="tmp-r-03d57ca8-cdfa-4af3-aeae-3a312c01f524">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(AttentionLineContextCode): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:REPC_IN990120NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:attentionLine/hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="tmp-r-f454fbd6-caba-4fdb-935e-d417c884d0f2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de element content van hl7:keyWordText[(@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9022
Context: /hl7:REPC_IN990120NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:attentionLine/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-f025b81a-ef3a-4bc2-a3b2-fdbe1527a75c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9022-2014-09-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(AttentionLineContextCode): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.66.11.116 AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]"
         id="tmp-r-d8ecffb1-ec60-464c-b264-2ffb0bee058c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="string(@moodCode)=('EVN')">(opvragenAlerts): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:overseer)&gt;=1 ">(opvragenAlerts): element hl7:overseer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:overseer)&lt;=1">(opvragenAlerts): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'])&gt;=1 and not(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/@nullFlavor)">(opvragenAlerts): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'])&lt;=1">(opvragenAlerts): element hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer"
         id="tmp-r-0dfd3f38-ec86-4bce-bd6d-70ca2845dd39">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(ControlActOverseerPerson): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity"
         id="tmp-r-f802f5b2-dc71-4e04-b052-572b49193a0c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.1']/@nullFlavor)">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">(ControlActOverseerPerson): element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-r-e1ef1723-9daf-4888-8cf5-70ed45ff5f8f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.UZI"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="string(@root)=('2.16.528.1.1007.3.1')">(ControlActOverseerPerson): de waarde van @root MOET '2.16.528.1.1007.3.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:code"
         id="tmp-r-1809aa49-1d5d-420b-943a-53407e604d68">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: / moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList"
         id="tmp-r-bc7c3590-ff30-41be-b78d-81cc5c4db6db">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-r-3f7085b4-2d19-4661-96d3-1105c91ff31d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-r-060fa54a-b66b-45d1-9a86-58c5d1bd366d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization"
         id="tmp-r-a27f282e-f662-49c1-a447-0482a0db7f07">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id"
         id="tmp-r-9984f7a7-eb4a-4ecd-9ac4-33b901ba02ab">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: / moet een URA bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code"
         id="tmp-r-0e7a4d7f-bc55-403b-b19d-928c32760ee5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.2.4.15.1060''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name"
         id="tmp-r-f81bf3a7-8a70-464a-8348-17d828ab3fa6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9023
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr"
         id="tmp-r-64cc23c2-684d-4549-8485-3fa079813b25">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9023-2014-09-22T000000.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
      <assert role="error" test="hl7:city">(ControlActOverseerPerson): Control Act: / moet tenminste de vestigingsplaats bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']"
         id="tmp-r-8551e29b-4348-496c-8fa8-e56752595bd8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(opvragenAlerts): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:queryId)&lt;=1">(opvragenAlerts): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(opvragenAlerts): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(opvragenAlerts): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(opvragenAlerts): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(opvragenAlerts): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(opvragenAlerts): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(opvragenAlerts): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(opvragenAlerts): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(opvragenAlerts): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(opvragenAlerts): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:patientId)&lt;=1">(opvragenAlerts): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:effectiveTimeInterval)&lt;=1">(opvragenAlerts): element hl7:effectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'])&gt;=1 ">(opvragenAlerts): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'])&lt;=1">(opvragenAlerts): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.17'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:queryId
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:queryId"
         id="tmp-r-2ac6afc5-4c4d-420d-bfc9-bfa546ca2dfd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAlerts): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:statusCode[@code='executing']
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:statusCode[@code='executing']"
         id="tmp-r-4a9c3623-81ef-470d-aa20-d129159d4c03">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAlerts): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenAlerts): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:responseModalityCode[@code='R']
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:responseModalityCode[@code='R']"
         id="tmp-r-0d17e8b7-d61e-4bdb-9826-2e418a6291f4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAlerts): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenAlerts): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:responsePriorityCode[@code='I']
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-1f7dc7e8-8df3-4ce6-8dde-acfc97fa4c98">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAlerts): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenAlerts): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:executionAndDeliveryTime
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:executionAndDeliveryTime"
         id="tmp-r-dcb26b45-b3db-4145-a653-3e9c57e52f50">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAlerts): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:patientId
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:patientId"
         id="tmp-r-333dc712-036e-4486-a214-5ced5af6275a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(kezo-QRYpatientId): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9035
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (kezo-QRYpatientId)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-a5362a99-66dd-4be8-9d38-1f5424a47573">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYpatientId): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(kezo-QRYpatientId): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9035-2015-06-01T000000.html"
              test="@extension">(kezo-QRYpatientId): attribute @extension MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval"
         id="tmp-r-aa57f9f0-948f-43df-83df-2ca89787c8be">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(kezo-QRYeffectiveTimeInterval): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:value)&lt;=1">(kezo-QRYeffectiveTimeInterval): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval/hl7:value
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval/hl7:value"
         id="tmp-r-8598c392-f3f9-44e0-8631-4d68efe23593">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error" test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error" test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(kezo-QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(kezo-QRYeffectiveTimeInterval): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:low)&lt;=1">(kezo-QRYeffectiveTimeInterval): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="count(hl7:high)&lt;=1">(kezo-QRYeffectiveTimeInterval): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval/hl7:value/hl7:low
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval/hl7:value/hl7:low"
         id="tmp-r-9b3d3950-8d8d-474a-b41f-cdb261c8ea91">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.9034
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval/hl7:value/hl7:high
Item: (kezo-QRYeffectiveTimeInterval)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:effectiveTimeInterval/hl7:value/hl7:high"
         id="tmp-r-847c53a9-7f5b-44b3-b115-8ff50a4e004e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(kezo-QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.17
Context: /hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']
Item: (opvragenAlerts)
-->

   <rule context="/hl7:REPC_IN990120NL/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']]/hl7:queryByParameter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.17']"
         id="tmp-r-b59d360c-e72d-4464-960f-69d179d5fde6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenAlerts): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20151201T204122/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.17-2015-06-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.66.10.17')">(opvragenAlerts): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.66.10.17' zijn.</assert>
   </rule>
</pattern>
