@echo off

:; -----------------------------------------
:: --  set defaults                       --
:: -----------------------------------------

:: These are used on the command line
set outputSchemaInfoFile=../resolveIncludes/xmlschemainfo.xml
set interactionId=%1
set outputCopyFile=copyScript.bat
set outputDir=CopiedSchemas

:: These are used on the command line and must contain a forward slash in path
set jarDir=../lib
set xslDir=.

:: -------------------------------------------
:: --  use input params instead of defaults --
:: --  if given                             --
:: -------------------------------------------

if (%1)==() (
    echo ERROR Need to supply an interaction id like MFMT_IN200101 or QUPC_IN101101UV02!
    pause
    exit
)

echo.Input/output schema info file                       = [%outputSchemaInfoFile%]
echo.File with copy statements                           = [%outputCopyFile%]
echo.Directory that the schema files will be copied to   = [%outputDir%]
echo.Java jar path                                       = [%jarDir%]
echo.XSL path                                            = [%xslDir%]

:: -------------------------------------------
:: --  check input and output dirs          --
:: --                                       --
:: -------------------------------------------

if exist "%outputCopyFile%" (
    echo.Deleting previous %outputCopyFile%...
    del /Q "%outputCopyFile%"
)

if not exist "%outputDir%" (
    echo.Creating output directory: "%outputDir%" ...
    echo -----------------------
    echo.
    mkdir "%outputDir%"
)
if exist "%outputDir%\*.*" (
    echo.Deleting contents of output directory: "%outputDir%" ...
    echo -----------------------
    echo.
    del /Q "%outputDir%\*.*"
)

:: -------------------------------------------
:: --  generate output                      --
:: --                                       --
:: -------------------------------------------

echo.Building list of includes per XML Schema...
echo.
cmd /c ..\resolveIncludes\buildXmlSchemaInfoForDir.bat

echo.Creating copy script...
java -jar %jarDir%/saxon-9/saxon9.jar -s:%xslDir%/copySchemasForInteraction.xsl -xsl:%xslDir%/copySchemasForInteraction.xsl -o:%outputCopyFile% interactionId=\"%interactionId%\" batchType=bat outputDir=%outputDir% xmlschemainfo=%outputSchemaInfoFile%

if exist "%outputCopyFile%" (
    echo.Executing copy script...
    CALL %outputCopyFile%
    
    echo.Deleting copy script...
    del /Q "%outputCopyFile%"
    
    echo.SUCCESS: Find copied files in directory %outputDir%
) else (
    echo.FAILED: Please check log above this line for errors
)
