#!/bin/sh
old_IFS="$IFS"
IFS=\b

if [ $# -eq 0 ]; then 
    echo "\nMissing AORTA release label as the first argument, e.g. $0 'versie 6.11' or $0 2012"
    echo "This label goes onto the front page like this 'Toelichting XML-distributie versie 6.11'..."
    exit
else
    echo "\nBuilding HTML pages for 'Toelichting XML-distributie $1'..."
    echo "-----------------------\n"
fi

IFS=$old_IFS

export schemaInfoFile=../resolveIncludes/xmlschemainfo.xml
export visioInfoFile=visiomodelindex.xml
export indexHtml=../../index.html

./makeVisioIndex.sh

echo ""
echo "Building ${schemaInfoFile}..."
echo ""
../resolveIncludes/buildXmlSchemaInfoForDir.sh

echo ""
echo "Building ${indexHtml}..."
echo ""
java -jar ../lib/saxon-9/saxon9.jar -s:index.xml -xsl:indexHtml.xsl -o:${indexHtml} aortaRelease="$1" schemaInfoFile=${schemaInfoFile} visioInfoFile=${visioInfoFile}
