#!/bin/bash
export originalWorkingDir=`pwd`
export inputDir=../../..
export outputFile=visiomodelindex.xml
# This neat trick gets us around paths with spaces in them
export SAVEIFS=$IFS
export IFS=$(echo -en "\n\b")

if [ -e "$outputFile" ]; then 
    rm ${outputFile}
fi

echo \<?xml version=\"1.0\" encoding=\"UTF-8\"?\> >>${outputFile}
echo \<descriptions\> >>${outputFile}

# First get Visios in our own context
echo "Building ${outputFile} from ${inputDir} ..."
for file in `find ${inputDir} -path "*/img/*" -type f -name "*.xml" | grep -v "_bak.xml"`
    do echo \<file relpath=\"${file}\" name=\"`basename ${file}`\"/\> >>${outputFile}
done
for file in `find ${inputDir} -path "*/VisioModelXmlFiles*/*" -type f -name "*.xml" | grep -v "_bak.xml"`
    do echo \<file relpath=\"${file}\" name=\"`basename ${file}`\"/\> >>${outputFile}
done

cd ${inputDir}
export inputDir=`pwd`
cd ${originalWorkingDir}

if [ `basename ${inputDir}` != 'trunk' ]; then
    echo "    Done with this branch. Adding Visios from trunk..."
    export inputDir=../../../../../trunk
    for file in `find ${inputDir} -path "*/img/*" -type f -name "*.xml" | grep -v "_bak.xml"`
       do echo \<file relpath=\"${file}\" name=\"`basename ${file}`\"/\> >>${outputFile}
    done
    for file in `find ${inputDir} -path "*/VisioModelXmlFiles*/*" -type f -name "*.xml" | grep -v "_bak.xml"`
       do echo \<file relpath=\"${file}\" name=\"`basename ${file}`\"/\> >>${outputFile}
    done
fi

echo \</descriptions\> >>${outputFile}

# restore $IFS
export IFS=$SAVEIFS
