@echo off

:: -------------------------------------------
:: --  zet de defaults                      --
:: --                                       --
:: -------------------------------------------

:: These are used in windows 
set inputDir=mep
set outputDir=..\..\schemas

:: The in- and outputPath variables are used in the stylesheets
set inputPath=./mep/
set outputPath=../../schemas/

:: These are used in windows and must thus contain backslash in path
set jarDir=..\lib\saxon-9\
set xslDir=

set inputFile=''

:: -------------------------------------------
:: --  use input params instead of defaults --
:: --  if given                             --
:: -------------------------------------------

if not (%1)==() set inputDir=%1
if not (%2)==() set outputDir=%2
if not (%3)==() set inputPath=%3
if not (%4)==() set outputPath=%4
if not (%5)==() set jarDir=%5
if not (%6)==() set xslDir=%6
if not (%7)==() set inputFile=%7

echo.Input directory                 = [%inputdir%]
echo.Output directory                = [%outputDir%]
echo.Input directory for Stylesheet  = [%inputPath%]
echo.Output directory for Stylesheet = [%outputPath%]
echo.Java jar directory              = [%jarDir%]
echo.xsl directory                   = [%xslDir%]
echo.Input file                      = [%inputFile%]

:: -------------------------------------------
:: --  check input and output dirs          --
:: --                                       --
:: -------------------------------------------

if not [%inputFile%] == () (
    if not exist "%inputFile%" echo.ERROR The input file [%inputFile%] does not exist! Cannot proceed. & pause & exit /B
)

if not exist "%inputdir%" echo.ERROR The input directory [%inputDir%] does not exist or is empty! Cannot proceed. & pause & exit /B

if not exist "%outputDir%" (
    echo.
    echo Creating output directory: "%outputDir%" ...
    echo -----------------------
    echo.
    mkdir "%outputDir%"
)

:: -------------------------------------------
:: --  copy input files to output dir       --
:: --  and generate the interactions        --
:: -------------------------------------------

if not [%inputFile%] == () (
    echo.Transforming input file %inputFile%...
    java -jar %jarDir%saxon9.jar -s:"%inputFile%" -xsl:%xslDir%MakeInteraction.xsl outputDir=%outputPath%
) else (
    echo.Transforming input files...
    for %%F in (%inputDir%\*_mep.xml) do java -jar %jarDir%saxon9.jar -s:"%%F" -xsl:%xslDir%MakeInteraction.xsl outputDir=%outputPath%
)

echo
echo.Done with this batch file...


