#!/bin/sh

# -----------------------------------------
# --  set defaults                       --
# -----------------------------------------

# These are used on the command line
export currentDir=`dirname $0`
export inputFile=
if [ ! $1 = '' ]; then export inputFile=$1; fi

export outputFile=${currentDir}/xmlschemainfo-`basename ${inputFile}`.xml

# These are used on the command line and must contain a forward slash in path
export jarDir=${currentDir}/../lib
export xslDir=${currentDir}
export CLASSPATH=$CLASSPATH:${jarDir}/nictiz/nictiz.jar

# -------------------------------------------
# --  use input params instead of defaults --
# --  if given                             --
# -------------------------------------------

if [ ! $2 = '' ]; then export outputFile=$2; fi
if [ ! $3 = '' ]; then export jarDir=$5; fi
if [ ! $4 = '' ]; then export xslDir=$6; fi

#echo "Input file                      = ${inputFile}"
#echo "Output file                     = ${outputFile}"
#echo "Java jar path                   = $jarDir"
#echo "XSL path                        = $xslDir"
#echo "Class path                      = $CLASSPATH"
#echo "-----------------------\n"

# -------------------------------------------
# --  check input and output dirs          --
# --                                       --
# -------------------------------------------

if [ ! -e "${inputFile}" ]; then 
    echo ERROR The input file \'${inputFile}\' does not exist or is empty!
    exit
fi

# -------------------------------------------
# --  generate output                      --
# --                                       --
# -------------------------------------------

java nl.nictiz.xml.util.AnalyzeSchemas ${inputFile} ${outputFile}
