<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
    xmlns:hl7="urn:hl7-org:v3"
    exclude-result-prefixes="#all"
    version="2.0">
    <xd:doc scope="stylesheet">
        <xd:desc>
            <xd:p><xd:b>Created on:</xd:b> Dec 13, 2011</xd:p>
            <xd:p><xd:b>Author:</xd:b> ahenket</xd:p>
            <xd:p>Removes attribute @nillable on all elements with minOccurs="0"</xd:p>
            <xd:p>Removes attribute @nullFlavor on all elements, because it is already present in infrastructureRoot</xd:p>
        </xd:desc>
    </xd:doc>
    
    <xsl:output indent="yes"/>
    
    <xsl:template match="processing-instruction()">
        <xsl:copy-of select="self::node()"/>
    </xsl:template>
    
    <xsl:template match="comment()">
        <xsl:copy-of select="self::node()"/>
        <xsl:text>&#10;</xsl:text>
    </xsl:template>
    
    <xsl:template match="text()">
        <xsl:copy-of select="replace(self::node(),'&#10;&#13;?&#10;$','&#10;')"/>
    </xsl:template>
    
    <xsl:template match="xs:*[@nillable and @minOccurs='0']">
        <xsl:element name="{name(self::node())}">
            <xsl:for-each select="@*">
                <xsl:if test="not(name(.)='nillable')">
                    <xsl:attribute name="{name(.)}" select="."/>
                </xsl:if>    
            </xsl:for-each>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="xs:attribute[@name='nullFlavor' and ../xs:attributeGroup[@ref='InfrastructureRootAttributes']]"/>
    
    <xsl:template match="*|@*">
        <xsl:copy>
            <xsl:apply-templates select="node()|@*"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>