@echo off

:: -------------------------------------------
:: --  set defaults                      --
:: --                                       --
:: -------------------------------------------

:: These are used on the commandline
set inputDir=..\..\schemas
set outputDir=..\..\schemas_codeGen

:: These are used on the command line and must contain a forward slash in path
set jarDir=../lib
set xslDir=.

:: -------------------------------------------
:: --  use input params instead of defaults --
:: --  if given                             --
:: -------------------------------------------

if not (%1)==() set inputDir=%1
if not (%2)==() set outputDir=%2
if not (%3)==() set jarDir=%3
if not (%4)==() set xslDir=%4

echo.Input directory                 = [%inputdir%]
echo.Output directory                = [%outputDir%]
echo.Java jar directory              = [%jarDir%]
echo.xsl directory                   = [%xslDir%]

:: -------------------------------------------
:: --  check input and output dirs          --
:: --                                       --
:: -------------------------------------------

if "%inputDir%" == "%outputDir%" (
    echo.ERROR The input directory must not be equal to the output directory!
    exit
)

if not exist "%outputDir%" (
    echo.
    echo Creating output directory: "%outputDir%" ...
    echo -----------------------
    echo.
    mkdir "%outputDir%"
) else (
    echo.
    echo Removing contents of output directory: "%outputDir%" ...
    echo -----------------------
    echo.
    del /Q "%outputDir%\*.*"
)

:: -------------------------------------------
:: --  generate output                      --
:: --                                       --
:: -------------------------------------------

echo.Transforming interaction schemas...
for %%F in (%inputDir%\*.xsd) do (
    echo   Processing %%~nF%%~xF...
    java -jar %jarDir%/saxon-9/saxon9.jar -s:%%F -xsl:%xslDir%/makeSchemaCodeGen.xsl -o:%outputDir%/%%~nF%%~xF
)

echo.
echo.Copying certain files overwriting any previous results...
if exist "%inputdir%\COCT_MT*" (
    echo   Copying COCT_MT*.xsd CMETs...
    copy /y %inputDir%\COCT_MT*.xsd %outputDir%\
)
if exist "%inputdir%\POCP_MT*" (
    echo  Copying POCP_MT*.xsd CMETs...
    copy /y %inputDir%\POCP_MT*.xsd %outputDir%\
)
if exist "%inputdir%\MCCI_IN200100.xsd" (
    echo  Copying MCCI_IN200100.xsd batch send wrapper...
    copy /y %inputDir%\MCCI_IN200100.xsd %outputDir%\
)
if exist "%inputdir%\MCCI_IN200101.xsd" (
    echo  Copying MCCI_IN200101.xsd batch response wrapper...
    copy /y %inputDir%\MCCI_IN200101.xsd %outputDir%\
)
